using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Add_Location : System.Web.UI.Page
{
    CountryBusinessLayer obj = new CountryBusinessLayer();
    StateBL state = new StateBL();
    CityBL city = new CityBL();
    LocationBl loc = new LocationBl();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DataSet ds = new DataSet();
           
            ds = city.ShowAllCity();
            DdlCity.DataSource = ds.Tables[0];
            DdlCity.DataTextField = "CityName";
            DdlCity.DataValueField = "CityId";
            DdlCity.DataBind();
            DdlCity.Items.Insert(0, "----Select----");
            
        }
       
    }

    protected void BtnAdd_Click(object sender, EventArgs e)
    {
        loc.LocationName = txtName.Text.Trim();
        loc.LocationDesc = txtDesc.Text.Trim();
        loc.LocationCode = txtCode.Text.Trim();
        loc.CityId = int.Parse(DdlCity.SelectedValue);
        loc.InsertLocation();
        LblMsg.Text = "Location Inserted....!";
        txtName.Focus();
    }
    protected void BtnClear_Click(object sender, EventArgs e)
    {
        txtName.Text = "";
        txtDesc.Text = "";
        txtCode.Text = "";
        LblMsg.Text = "";
        txtName.Focus();
    }
  
}
