using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmModifyUser : System.Web.UI.Page
{
    AccountInfoBL act = new AccountInfoBL();
    CustomerSecurityBL sec = new CustomerSecurityBL();
    CountryBusinessLayer country = new CountryBusinessLayer();
    StateBL state = new StateBL();
    CityBL city = new CityBL();
    RegistrationBL user = new RegistrationBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlActno.DataSource = act.ShowActNo();
            ddlActno.DataValueField = "Cust_act_no";
            ddlActno.DataBind();
            ddlActno.Items.Insert(0, "---Select---");

            ddlcountry.DataSource = country.GetCountry();
            ddlcountry.DataTextField = "CountryName";
            ddlcountry.DataValueField = "CountryId";
            ddlcountry.DataBind();
            ddlcountry.Items.Insert(0, "---Select---");
    }
    }
    protected void ddlActno_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            sec.Actno = int.Parse(ddlActno.SelectedValue);
            DataSet ds = new DataSet();
            ds = sec.ShowUserAllInfo();
            txtfname.Text = ds.Tables[0].Rows[0][1].ToString();
            txtlname.Text = ds.Tables[0].Rows[0][2].ToString();
            txtdob.Text = ds.Tables[0].Rows[0][3].ToString();
            txtMail.Text = ds.Tables[0].Rows[0][4].ToString();
            txtAddress.Text = ds.Tables[0].Rows[0][5].ToString();
            txtphone.Text = ds.Tables[0].Rows[0][6].ToString();
            txtDetail.Text = ds.Tables[0].Rows[0][7].ToString();
            txtUname.Text = ds.Tables[0].Rows[0][8].ToString();
            txtPwd.Text = ds.Tables[0].Rows[0][9].ToString();
            Label1.Text = "";
        }
        catch (Exception ex)
        {
            Label1.Text = "No Data Found...!"; //ex.Message.ToString(); 
            txtfname.Text = "";
            txtlname.Text = "";
            txtdob.Text = "";
            txtMail.Text = "";
            txtAddress.Text = "";
            txtphone.Text = "";
            txtDetail.Text = "";
            txtUname.Text = "";
            txtPwd.Text = "";
        }
    }
    protected void ddlcountry_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            state.CountryId = int.Parse(ddlcountry.SelectedValue);
            ddlState.DataSource = state.GetStateByCountryId();
            ddlState.DataTextField = "StateName";
            ddlState.DataValueField = "StateID";
            ddlState.DataBind();
            ddlState.Items.Insert(0, "---Select---");
            Label1.Text = "";
        }
        catch (Exception)
        {

            Label1.Text = "Plz Select Country...!";
            ddlcountry.Focus();
        }
       
    }
    protected void ddlState_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            city.StateId = int.Parse(ddlState.SelectedValue);
            ddlCity.DataSource = city.GetCityByState();
            ddlCity.DataTextField = "CityName";
            ddlCity.DataValueField = "CityID";
            ddlCity.DataBind();
            ddlCity.Items.Insert(0, "---Select---");
            Label1.Text = "";
        }
        catch (Exception)
        {

            Label1.Text = "Plz Select State...!";
            ddlState.Focus();
        }
       
    }
    protected void btnModify_Click(object sender, EventArgs e)
    {
        user.Actno = int.Parse(ddlActno.SelectedValue);
        user.Fname = txtfname.Text.Trim();
        user.Lname = txtlname.Text.Trim();
        user.Dob=Convert.ToDateTime(txtdob.Text);
        user.Gender = ddlSex.SelectedItem.Text;
        user.Email=txtMail.Text.Trim();
        user.Countryid = int.Parse(ddlcountry.SelectedValue);
        user.Stateid = int.Parse(ddlState.SelectedValue);
        user.Cityid = int.Parse(ddlCity.SelectedValue);
        user.Address = txtAddress.Text.Trim();
        user.Phone = txtphone.Text.Trim();
        user.Detail = txtDetail.Text.Trim();
        sec.Actno = int.Parse(ddlActno.SelectedValue);
        sec.Uname = txtUname.Text.Trim();
        sec.Password = txtPwd.Text.Trim();
        user.UpdateUser();
        sec.UpdateSecurityInfo();
        Label1.Text = "Updated Successfully...!";
        
    }
}
