using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class frmRegistration : System.Web.UI.Page
{
    RegistrationBL regis = new RegistrationBL();
    CountryBusinessLayer country = new CountryBusinessLayer();
    StateBL state = new StateBL();
    CityBL city = new CityBL();
    CustomerSecurityBL secure = new CustomerSecurityBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlCountry.DataSource = country.GetCountry();
            ddlCountry.DataTextField = "CountryName";
            ddlCountry.DataValueField = "CountryId";
            ddlCountry.DataBind();
            ddlCountry.Items.Insert(0,"---Select---");
        }

    }
    
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
        regis.Uname = txtUname.Text.Trim();
        regis.Password = txtPwd.Text.Trim();
        if (regis.GetUser() == false)
        {
           
            regis.Fname = txtFName.Text.Trim();
            regis.Lname = txtLName.Text.Trim();
            regis.Dob = GMDatePicker1.Date;
            regis.Gender = ddlGender.SelectedItem.Text;
            regis.Email = txtMail.Text.Trim();
            regis.Countryid = int.Parse(ddlCountry.SelectedValue);
            regis.Stateid = int.Parse(ddlState.SelectedValue);
            regis.Cityid = int.Parse(ddlCity.SelectedValue);
            regis.Address = txtAddress.Text.Trim();
            regis.Phone = txtPhone.Text.Trim();
            regis.Detail = txtDetail.Text.Trim();
            regis.Hintquestion = ddlQuestion.SelectedItem.Text;
            regis.Answer = txtAnswer.Text.Trim();
            regis.Roleid = 2;
            regis.InsertUserPersonalInfo();
                       
            DataSet ds = new DataSet();
            ds = regis.ShowCustomerId();
            Session["custid"] = ds.Tables[0].Rows[0][0].ToString();
            Response.Redirect("frmConfirmRegistration.aspx");
        }
        }
        catch (Exception)
        {
          Label1.Text = "Already Exists Plz Select Another User Name...!";
                txtUname.Text = "";
                txtUname.Focus();
        }
       
    }    
   
    protected void ddlCountry_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            state.CountryId = int.Parse(ddlCountry.SelectedValue);
            ddlState.DataSource = state.GetStateByCountryId();
            ddlState.DataTextField = "StateName";
            ddlState.DataValueField = "StateId";
            ddlState.DataBind();
            ddlState.Items.Insert(0, "---Select---");
            Label1.Text = "";
        }
        catch (Exception)
        {

            Label1.Text = "Plz Select Country Name...!";
            ddlCountry.Focus();
        }
       
    }
    protected void ddlState_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            city.StateId = int.Parse(ddlState.SelectedValue);
            ddlCity.DataSource = city.GetCityByState();
            ddlCity.DataTextField = "CityName";
            ddlCity.DataValueField = "CityId";
            ddlCity.DataBind();
            ddlCity.Items.Insert(0, "---Select---");
            Label1.Text = "";
        }
        catch (Exception)
        {

            Label1.Text = "Plz Select State Name...!";
            ddlState.Focus();
        }
       
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            regis.Uname = txtUname.Text.Trim();
            regis.Password = txtPwd.Text.Trim();
            if (regis.GetUser() == false)
            {

                regis.Fname = txtFName.Text.Trim();
                regis.Lname = txtLName.Text.Trim();
                regis.Dob = GMDatePicker1.Date;
                regis.Gender = ddlGender.SelectedItem.Text;
                regis.Email = txtMail.Text.Trim();
                regis.Countryid = int.Parse(ddlCountry.SelectedValue);
                regis.Stateid = int.Parse(ddlState.SelectedValue);
                regis.Cityid = int.Parse(ddlCity.SelectedValue);
                regis.Address = txtAddress.Text.Trim();
                regis.Phone = txtPhone.Text.Trim();
                regis.Detail = txtDetail.Text.Trim();
                regis.Hintquestion = ddlQuestion.SelectedItem.Text;
                regis.Answer = txtAnswer.Text.Trim();
                regis.Roleid = 2;
                regis.InsertUserPersonalInfo();
                regis.InsertUserLoginInfo();
                DataSet ds = new DataSet();
                ds = regis.ShowCustomerId();
                Session["custid"] = ds.Tables[0].Rows[0][0].ToString();
                Response.Redirect("~/Admin/frmConfirmRegistration.aspx");
            }
        }
        catch (Exception)
        {
            Label1.Text = "Already Exists Plz Select Another User Name...!";
            txtUname.Text = "";
            txtUname.Focus();
        }
    }
}
