using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using SpeedCash.DAL;
/// <summary>
/// Summary description for DebitCardBL
/// </summary>
public class DebitCardBL:Connection
{
    public static DataSet ds;
	public DebitCardBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    int cardno,fileid, fromactno, toactno;

    public int Fileid
    {
        get { return fileid; }
        set { fileid = value; }
    }
    public int Fromactno
    {
        get { return fromactno; }
        set { fromactno = value; }
    }
    public int Toactno
    {
        get { return toactno; }
        set { toactno = value; }
    }
    public int Cardno
    {
        get { return cardno; }
        set { cardno = value; }
    }
   
    string custname,debitype;
    public string Custname
    {
        get { return custname; }
        set { custname = value; }
    }
    public string Debitype
    {
        get { return debitype; }
        set { debitype = value; }
    }
    DateTime date;
    public DateTime Date
    {
        get { return date; }
        set { date = value; }
    }
    public void InsertDebitCard()
    {
        SqlParameter[] p = new SqlParameter[7];
        p[0] = new SqlParameter("@debittype", this.debitype);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@cardno", this.cardno);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@fileid", this.fileid);
        p[2].DbType = DbType.Int16;
        p[3] = new SqlParameter("@fromactno", this.fromactno);
        p[3].DbType = DbType.Int16;
        p[4] = new SqlParameter("@toactno", this.toactno);
        p[4].DbType = DbType.Int16;
        p[5] = new SqlParameter("@custname", this.custname);
        p[5].DbType = DbType.String;
        p[6] = new SqlParameter("@date", this.date);
        p[6].DbType = DbType.DateTime;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertDebitCard", p);

    }
    public DataSet SowDebitInfo()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowDebitInfo", p);
        return ds;
    }
    public DataSet ShowDebitTransaction()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowDebitTransactionDetail", p);
        return ds;
    }
    public bool CountDebit()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "SpCountDebit", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public DataSet ShowFileProcess()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.String;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowDebitFileProcessName", p);
        return ds;

    }
}
