using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmCustomerAccountInfo : System.Web.UI.Page
{
    RegistrationBL regis = new RegistrationBL();
    BankBranchBL branch = new BankBranchBL();
    ActTypeBL act = new ActTypeBL();
    ActStatsBL stat = new ActStatsBL();
    EmployeeBl emp = new EmployeeBl();
    AccountInfoBL info = new AccountInfoBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
                ddlCustName.DataSource = regis.ShowCustomerName();
                ddlCustName.DataTextField = "cust_fname";
                ddlCustName.DataValueField = "cust_id";
                ddlCustName.DataBind();
                ddlCustName.Items.Insert(0, "---Select---");
           

            ddlBranch.DataSource = branch.ShowBranch();
            ddlBranch.DataTextField = "branch_name";
            ddlBranch.DataValueField = "branch_id";
            ddlBranch.DataBind();

            ddlActType.DataSource = act.ShowActType();
            ddlActType.DataTextField = "act_name";
            ddlActType.DataValueField = "act_type_id";
            ddlActType.DataBind();

            ddlActStatus.DataSource = stat.ShowStatus();
            ddlActStatus.DataTextField = "act_status_desc";
            ddlActStatus.DataValueField = "act_status_id";
            ddlActStatus.DataBind();

            ddlempName.DataSource = emp.ShowEmployeeName();
            ddlempName.DataTextField = "emp_name";
            ddlempName.DataValueField = "emp_no";
            ddlempName.DataBind();

        }
    }
    protected void ddlCustName_SelectedIndexChanged(object sender, EventArgs e)
    {
            try
            {
        regis.Custid = int.Parse(ddlCustName.SelectedValue);
        DataSet ds = new DataSet();
        ds = regis.ShowLoginName();
        txtUName.Text = ds.Tables[0].Rows[0][0].ToString();
        info.Custid = int.Parse(ddlCustName.SelectedValue);
        if (info.GetUserNameByUid() == true)
        {
            Label1.Text = "Account Information Already Present...!";
            ddlActStatus.Enabled = false;
            ddlBranch.Enabled = false;
            ddlActType.Enabled = false;
            ddlempName.Enabled = false;
            txtAddress.Enabled = false;
            txtOpBal.Enabled = false;
            txtCurrentBal.Enabled = false;
            txtNomineeName.Enabled = false;
            txtrelation.Enabled = false;
            txtDetails.Enabled = false;
            btnSubmit.Enabled = false;
        }
        else
        {
            ddlActStatus.Enabled = true;
            ddlBranch.Enabled = true;
            ddlActType.Enabled = true;
            ddlempName.Enabled = true;
            txtAddress.Enabled = true;
            txtOpBal.Enabled = true;
            txtCurrentBal.Enabled = true;
            txtNomineeName.Enabled = true;
            txtrelation.Enabled = true;
            txtDetails.Enabled = true;
            btnSubmit.Enabled = true;
            Label1.Text = "";
        }
    }
    catch (Exception)
    {
        Label1.Text = "Plz Select Customer Name...!";
        ddlCustName.Focus();
    }
    }
  
    protected void btnSubmit_Click(object sender, EventArgs e)
        {
        info.Custid = int.Parse(ddlCustName.SelectedValue);
        info.Branchid = int.Parse(ddlBranch.SelectedValue);
        info.Acttypeid = int.Parse(ddlActType.SelectedValue);
        info.Empid = int.Parse(ddlempName.SelectedValue);
        info.Opdate = GMDatePicker1.Date;
        info.Opbal = Convert.ToDecimal(txtOpBal.Text);
        info.Curbal = Convert.ToDecimal(txtCurrentBal.Text);
        info.Statusid = int.Parse(ddlActStatus.SelectedValue);
        info.Nomineename = txtNomineeName.Text.Trim();
        info.Relation = txtrelation.Text.Trim();
        info.Address = txtAddress.Text.Trim();
        info.Uid = int.Parse(ddlCustName.SelectedValue);
        info.Detail = txtDetails.Text.Trim();
        info.InsertAccountInfo();
        Label1.Text = "Inserted...";
    }
}
