using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using SpeedCash.DAL;
using System.Data.SqlClient;
/// <summary>
/// Summary description for BankBranchBL
/// </summary>
public class BankBranchBL:Connection
{
    public static DataSet ds;
	public BankBranchBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    int bankid,desigid,id;
    public int Bankid
    {
        get { return bankid; }
        set { bankid = value; }
    }
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public int Desigid
    {
        get { return desigid; }
        set { desigid = value; }
    }
    string branchname, address, detail;

    public string Branchname
    {
        get { return branchname; }
        set { branchname = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Detail
    {
        get { return detail; }
        set { detail = value; }
    }
    public void InsertBranch()
    { 
    SqlParameter[] p=new SqlParameter[5];
    p[0] = new SqlParameter("@bankid", this.bankid);
    p[0].DbType = DbType.Int16;
    p[1] = new SqlParameter("@branchname", this.branchname);
    p[1].DbType = DbType.String;
    p[2] = new SqlParameter("@address", this.address);
    p[2].DbType = DbType.String;
    p[3] = new SqlParameter("@desigid", this.desigid);
    p[3].DbType = DbType.Int16;
    p[4] = new SqlParameter("@detail", this.detail);
    p[4].DbType = DbType.String;
    SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertBranch ", p);
    }
    public DataSet ShowBranch()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowBranch");
        return ds;
    }
    //Update
    public void UpdateBranch()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@bank_id", this.bankid);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@branch_name", this.branchname);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@branch_address", this.address);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@oprnl_desig_id", this.desigid);
        p[4].DbType = DbType.Int16;
        p[5] = new SqlParameter("@other_details", this.detail);
        p[5].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_Branch", p);
    }
    //Delete
    public void DeleteBranch()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_Branch", p);
    }
    //Show By Id
    public DataSet ShowBranchById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_Branch_ById", p);
        return ds;
    }
}
